﻿namespace EInk.Lot2Lot3.Models
{
    public class AppearancePixelEquivalent
    {

        /// <summary>
        /// 是否启用
        /// </summary>
        public bool enable { get; set; }

        /// <summary>
        /// 正面外观检像素当量，像素=实际长度/像素当量
        /// </summary>
        public double PositiveAppearance { get; set; }

        /// <summary>
        /// 背面外观检像素当量
        /// </summary>
        public double BackAppearance { get; set; }

        /// <summary>
        /// 背面FPC检像素当量
        /// </summary>
        public double BackFPC { get; set; }

        /// <summary>
        /// 正面FPC检像素当量
        /// </summary>
        public double PositiveFPC { get; set; }
    }
}
