﻿using SqlSugar;

namespace EInk.Models
{
    [SugarIndex("index_lot_id", nameof(lot_id), OrderByType.Asc)]
    [SugarIndex("index_product_id", nameof(product_id), OrderByType.Asc)]
    [SugarIndex("index_is_send", nameof(is_send), OrderByType.Asc)]

    [SugarTable("lot2lot3_info")]
    public class Lot2Lot3Model
    {
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public long id { get; set; }

        [SugarColumn(ColumnName = "lot_id", ColumnDataType = StaticConfig.CodeFirst_BigString)]
        public string lot_id { get; set; }

        [SugarColumn(ColumnName = "product_no", ColumnDataType = StaticConfig.CodeFirst_BigString)]
        public string product_no { get; set; }

        [SugarColumn(ColumnName = "product_id")]
        public long product_id { get; set; }

        [SugarColumn(ColumnName = "is_send")]
        public int is_send { get; set; }

        [SugarColumn(ColumnName = "is_repeatupload")]
        public int is_repeatupload { get; set; }

        [SugarColumn(ColumnName = "create_time")]
        public DateTime create_time { get; set; }

        [SugarColumn(ColumnName = "send_time")]
        public DateTime send_time { get; set; }

        [SugarColumn(ColumnName = "operation_time")]
        public DateTime operation_time { get; set; }

        [SugarColumn(ColumnName = "content", ColumnDataType = StaticConfig.CodeFirst_BigString)]
        public string content { get; set; }

    }
}
